For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTMerge Variants
      • GETGet Product
      • DELDelete Product Bundle
      • PATCHUpdate Product
      • GETGet Taxonomies
      • GETGet Products
      • POSTCreate Product
      • GETGet Product Variants
      • POSTAdd Product Variants
      • PATCHUpdate Product Variants
      • POSTMove Variants to New Product
      • GETGet Packaging Requirement
      • GETGet Taxonomy by ID
      • GETGet Taxonomy Parent
      • POSTMove Variants Between Products
      • POSTConvert Variant to Bundle
LogoLogo
API ReferenceProducts

Move Variants Between Products

||View as Markdown|
POST
https://sandbox-api.shipbob.com/2026-01/product/:productId:moveVariants
POST
/2026-01/product/:productId:moveVariants
$curl -X POST https://sandbox-api.shipbob.com/2026-01/product/1:moveVariants \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json-patch+json" \
> -d '{
> "category_id": 0,
> "name": "string",
> "product_id": 0,
> "sub_category_id": 0,
> "taxonomy_id": 0,
> "variants": [
> {
> "id": 0,
> "name": "string"
> }
> ]
>}'
1{
2 "category": {
3 "id": 0,
4 "name": "string"
5 },
6 "created_on": "2019-08-24T14:15:22+00:00",
7 "id": 0,
8 "name": "string",
9 "sub_category": {
10 "id": 0,
11 "name": "string"
12 },
13 "taxonomy": {
14 "id": 0,
15 "name": "string",
16 "parent_id": 0,
17 "parent_name": "string",
18 "path": "string"
19 },
20 "type": "string",
21 "updated_on": "2019-08-24T14:15:22+00:00",
22 "user_id": 0,
23 "variants": [
24 {
25 "barcode": "string",
26 "barcode_sticker_url": "string",
27 "channel_metadata": [
28 {
29 "channel_id": 0,
30 "channel_name": "string",
31 "currency": "string",
32 "id": 0,
33 "is_inventory_sync_enabled": true,
34 "legacy_product_id": 0,
35 "platform": "string",
36 "platform_identifier": "string",
37 "platform_inventory_item_id": "string",
38 "price": 0.1,
39 "seller_sku": "string"
40 }
41 ],
42 "additional_hazmat_attributes": {
43 "charge_state_percentage": 0.1,
44 "container_metal": true,
45 "container_type": "string",
46 "lithium_battery_packaging": "string",
47 "lithium_battery_type": "string",
48 "magnet": true,
49 "net_volume": 0.1,
50 "net_weight": 0.1
51 },
52 "associated_bundles": [
53 {
54 "product_id": 0,
55 "product_name": "string",
56 "quantity": 0,
57 "variant_id": 0,
58 "variant_sku": "string"
59 }
60 ],
61 "bundle_definition": [
62 {
63 "product_id": 0,
64 "quantity": 0,
65 "variant_id": 0,
66 "variant_name": "string",
67 "variant_sku": "string"
68 }
69 ],
70 "created_on": "2019-08-24T14:15:22+00:00",
71 "customs": {
72 "country_code_of_origin": "string",
73 "currency": "string",
74 "description": "string",
75 "hs_tariff_code": "string",
76 "is321_eligible": true,
77 "value": 0
78 },
79 "dimension": {
80 "height": 0.1,
81 "is_locked": true,
82 "length": 0.1,
83 "source": "string",
84 "unit": "string",
85 "width": 0.1
86 },
87 "fulfillment_settings": {
88 "dangerous_goods": true,
89 "is_bpm_parcel": true,
90 "is_case_pick": true,
91 "msds_url": "string",
92 "requires_prop65": true,
93 "serial_scan": {
94 "exact_character_length": 0,
95 "is_enabled": true,
96 "prefix": "string",
97 "suffix": "string"
98 }
99 },
100 "gtin": "string",
101 "id": 0,
102 "inventory": {
103 "inventory_id": 0,
104 "on_hand_qty": 0
105 },
106 "is_digital": true,
107 "is_image_uploaded": true,
108 "lot_information": {
109 "is_lot": true,
110 "minimum_shelf_life_days": 0
111 },
112 "merge_children": [
113 {
114 "channel_ids": [
115 0
116 ],
117 "completed_at": "2019-08-24T14:15:22+00:00",
118 "inventory_id": 0,
119 "variant_id": 0,
120 "variant_name": "string"
121 }
122 ],
123 "name": "string",
124 "packaging_material_type": {
125 "id": 0,
126 "name": "string"
127 },
128 "packaging_requirement": {
129 "id": 0,
130 "name": "string"
131 },
132 "return_preferences": {
133 "backup_action": {
134 "id": 0,
135 "name": "string"
136 },
137 "instructions": "string",
138 "primary_action": {
139 "id": 0,
140 "name": "string"
141 },
142 "return_to_sender_backup_action": {
143 "id": 0,
144 "name": "string"
145 },
146 "return_to_sender_primary_action": {
147 "id": 0,
148 "name": "string"
149 }
150 },
151 "reviews_pending": [
152 "string"
153 ],
154 "sku": "string",
155 "status": "string",
156 "upc": "string",
157 "updated_on": "2019-08-24T14:15:22+00:00",
158 "weight": {
159 "unit": "string",
160 "weight": 0.1
161 }
162 }
163 ]
164}
Moves variants from their current product to the target product specified in the path. Provide an array of variant IDs to move.
Was this page helpful?
Previous

Get Taxonomy Parent

Next

Convert Variant to Bundle

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

productIdlongRequired

Request

Migration definition
category_idintegerOptional
namestringOptional
product_idlongOptional
sub_category_idintegerOptional
taxonomy_idintegerOptional
variantslist of objectsOptional

Response

Created
categoryobject
created_ondatetime
idlong
namestring
sub_categoryobject
taxonomyobject
typestring
updated_ondatetime
user_idlong
variantslist of objects

Errors

400
Bad Request Error
404
Not Found Error